[package]
name = "ygg_driver_usb_xhci"
version = "0.1.0"
edition = "2021"
authors = ["Mark Poliakov <mark@alnyan.me>"]

[dependencies]
yggdrasil-abi = { path = "../../../../lib/abi" }
device-api = { path = "../../../lib/device-api", features = ["derive"] }
ygg_driver_pci = { path = "../../bus/pci" }
ygg_driver_usb = { path = "../../bus/usb" }

libk-util = { path = "../../../libk/libk-util" }
libk-mm = { path = "../../../libk/libk-mm" }
libk = { path = "../../../libk" }

xhci_lib = { git = "https://github.com/rust-osdev/xhci.git", package = "xhci" }

async-trait.workspace = true
log.workspace = true
atomic_enum.workspace = true
tock-registers.workspace = true
bytemuck.workspace = true
futures-util.workspace = true
